Loading...
Searching...
No Matches
BALL::QSAR::ModelFactory< T > Class Template Reference

`#include <BALL/QSAR/modelFactory.h>`

## Static Public Member Functions

static T * | create (const QSARData &q)
static T * | createKernel1 (const QSARData &q, int k, double p1, double p2)
static T * | createKernel2 (const QSARData &q, String s1, String s2)

## Detailed Description

template<typename T>
class BALL::QSAR::ModelFactory< T >

Factory class. The factory class is used to create objects of the various regression / classification Models it was parameterized with.

Definition at line 29 of file modelFactory.h.

## Member Function Documentation

## create()

template<typename T>

T * BALL::QSAR::ModelFactory< T >::create | ( | const QSARData & | q | ) |

inline static

Definition at line 33 of file modelFactory.h.

## createKernel1()

template<typename T>

T * BALL::QSAR::ModelFactory< T >::createKernel1 | ( | const QSARData & | q,
|  | int | k,
|  | double | p1,
|  | double | p2 )

inline static

Definition at line 38 of file modelFactory.h.

## createKernel2()

template<typename T>

T * BALL::QSAR::ModelFactory< T >::createKernel2 | ( | const QSARData & | q,
|  | String | s1,
|  | String | s2 )

inline static

Definition at line 43 of file modelFactory.h.